- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Reverb
Examples |
    import processing.sound.*;

    AudioIn in;
    Reverb reverb;

    void setup() {
      size(640,360);
      background(255);

      // create the input stream
      in = new AudioIn(this, 0);

      // create a reverb effect
      reverb = new Reverb(this);

      // start the input stream
      in.play();
    }

    void draw() {
    }
Description | This is a simple Delay Effect.
Methods |
process() | Start the reverb effect
stop() | Stop the reverb effect
set() | set multiple parameters of the reverb effect
room() | Change the room size of the reverb effect
damp() | Change the dampening of the reverb effect
wet() | Change the dry/wet ration of the delay effect
Constructor |
    Reverb(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:40pm UTC